ranges::counted_view< I > Struct Template Reference
Views
Inheritance diagram for ranges::counted_view< I >:

## Public Member Functions

counted_iterator< I > | begin () const
| counted_view (I it, iter_difference_t< I > n)
default_sentinel_t | end () const
auto | size () const
Public Member Functions inherited from ranges::view_interface< counted_view< I >, finite >
CPP_TEMPLATE_AUX_0 | c (requires True &&(!detail::has_fixed_size_< Cardinality >) &&forward_range< D< True > const >) ccconstexpr bool empty() const noexcept(noexcept(bool(ranges::begin(std::declval< D< True > const & >())==ranges::end(std::declval< D< True > const & >()))))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&(!detail::has_fixed_size_< Cardinality >) &&forward_range< D< True >>) ccconstexpr bool empty() noexcept(noexcept(bool(ranges::begin(std::declval< D< True > & >())==ranges::end(std::declval< D< True > & >()))))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&(Cardinality< 0) &&(Cardinality !=infinite) &&(!forward_range< D< True > const >) &&sized_range< D< True > const >) ccconstexpr bool empty() const noexcept(noexcept(bool(ranges::size(std::declval< D< True > const & >())==0)))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&(Cardinality< 0) &&(Cardinality !=infinite) &&(!forward_range< D< True >>) &&sized_range< D< True >>) ccconstexpr bool empty() noexcept(noexcept(bool(ranges::size(std::declval< D< True > & >())==0)))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&(Cardinality< 0) &&sized_sentinel_for< sentinel_t< D< True > const >, iterator_t< D< True > const >> &&forward_range< D< True > const >) ccconstexpr detail
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&common_range< D< True > const > &&bidirectional_range< D< True > const >) ccconstexpr range_reference_t< D< True > const > back() const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&common_range< D< True >> &&bidirectional_range< D< True >>) ccconstexpr range_reference_t< D< True >> back()
| Access the last element in a range:
CPP_TEMPLATE_AUX_0 | c (requires True &&contiguous_iterator< iterator_t< D< True > const >>) ccconstexpr std
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&contiguous_iterator< iterator_t< D< True >>>) ccconstexpr std
| Returns a pointer to the block of memory containing the elements of a contiguous range:
CPP_TEMPLATE_AUX_0 | c (requires True &&forward_range< D< True > const >) ccconstexpr range_reference_t< D< True > const > front() const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&forward_range< D< True >>) ccconstexpr range_reference_t< D< True >> front()
| Access the first element in a range:
CPP_TEMPLATE_AUX_0 | c (requires True &&input_range< D< True > & > &&sized_range< D< True > & >) ccconstexpr auto operator[](detail
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&input_range< D< True > & >) ccconstexpr auto operator[](detail
| Python-ic slicing:
CPP_TEMPLATE_AUX_0 | c (requires True &&input_range< D< True > & >) ccconstexpr auto operator[](detail
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&input_range< D< True > const & > &&sized_range< D< True > const & >) ccconstexpr auto operator[](detail
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&input_range< D< True > const & >) ccconstexpr auto operator[](detail
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&input_range< D< True > const & >) ccconstexpr auto operator[](detail
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&input_range< D< True >> &&sized_range< D< True >>) ccconstexpr auto operator[](detail
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&input_range< D< True >>) ccconstexpr auto operator[](detail
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&input_range< D< True >>) ccconstexpr auto operator[](detail
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&random_access_range< D< True > const > &&sized_range< D< True > const >) ccconstexpr range_reference_t< D< True > const > at(range_difference_t< D< True >> n) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&random_access_range< D< True > const >) ccconstexpr range_reference_t< D< True > const > operator[](range_difference_t< D< True >> n) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 | c (requires True &&random_access_range< D< True >> &&sized_range< D< True >>) ccconstexpr range_reference_t< D< True >> at(range_difference_t< D< True >> n)
| Returns a reference to the element at specified location pos, with bounds checking.
CPP_TEMPLATE_AUX_0 | c (requires True &&random_access_range< D< True >>) ccconstexpr range_reference_t< D< True >> operator[](range_difference_t< D< True >> n)
| Simple indexing:
| CPP_TEMPLATE_AUX_0 (requires True &&(Cardinality >=0)) static const expr std
| If the size of the range is known at compile-time and finite, return it.
| CPP_TEMPLATE_AUX_0 (requires True &&(forward_range< D< True > & >||(input_range< D< True > & > &&sized_range< D< True > & >))) const expr auto operator[](detail
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
| CPP_TEMPLATE_AUX_0 (requires True &&(forward_range< D< True > & >||(input_range< D< True > & > &&sized_range< D< True > & >))) const expr auto operator[](detail
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
| CPP_TEMPLATE_AUX_0 (requires True &&(forward_range< D< True > const & >||(input_range< D< True > const & > &&sized_range< D< True > const & >))) const expr auto operator[](detail
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
| CPP_TEMPLATE_AUX_0 (requires True &&(forward_range< D< True > const & >||(input_range< D< True > const & > &&sized_range< D< True > const & >))) const expr auto operator[](detail
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
| CPP_TEMPLATE_AUX_0 (requires True &&(forward_range< D< True >>||(input_range< D< True >> &&sized_range< D< True >>))) const expr auto operator[](detail
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
| CPP_TEMPLATE_AUX_0 (requires True &&(forward_range< D< True >>||(input_range< D< True >> &&sized_range< D< True >>))) const expr auto operator[](detail
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
| CPP_TEMPLATE_AUX_0 (requires True &&detail::can_empty_< D< True > const >) const expr explicit operator bool() const noexcept(noexcept(ranges::empty(std::declval< D< True > const & >())))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
| CPP_TEMPLATE_AUX_0 (requires True &&detail::can_empty_< D< True >>) const expr explicit operator bool() noexcept(noexcept(ranges::empty(std::declval< D< True > & >())))
constexpr auto | empty () const noexcept -> bool requires(detail::has_fixed_size_< Cardinality >)
| Test whether a range can be empty:
view_interface & | operator= (view_interface &&)=default
view_interface & | operator= (view_interface const &)=default
| view_interface (view_interface &&)=default
| view_interface (view_interface const &)=default

## Additional Inherited Members

Protected Types inherited from ranges::view_interface< counted_view< I >, finite >
using | D = meta::invoke< detail::dependent_< B >, counted_view< I > >
Protected Member Functions inherited from ranges::view_interface< counted_view< I >, finite >
constexpr counted_view< I > const & | derived () const noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
constexpr counted_view< I > & | derived () noexcept